//
//  main.cpp
//  testIlink
//
//  Created by cppwang(王缘) on 2019/4/12.
//  Copyright © 2019年 Tencent. All rights reserved.
//

#include "test_functions.h"
#include "test_callbacks.h"
#include <list>
#include <vector>

#include <algorithm>
#include <thread>

int waitForLoginComplete = 0;

int main(int argc, const char * argv[]) {
    /** step0 setLogFunction before login */
//    TESTFUN::setLogFunc();
    
    /** step1 login */
    TESTFUN::login();
//    TESTFUN::loginWithAllService();
    
    /** step2 waiting for login success*/
    while (waitForLoginComplete == 0) usleep(10000);
    waitForLoginComplete = 0;
    
    /** step3 test some device function*/
    TESTFUN::getDynamicQrCode();

    TESTFUN::getBinder();

   /** step4 start service*/
   TESTFUN::voipWechatStart();

   TESTFUN::xiaoweiStart(); //xiaowei service

   /** step5 test xiaowei function*/
   TESTFUN::xiaoweiVoicReq();
//    TESTFUN::xiaoweiGetQQMusicVip();
//    TESTFUN::xiaoweiSetMusicQuality(3);
//    TESTFUN::xiaoweiGetMusicQuality();
//    TESTFUN::xiaoweiSetFavorite(true);
//    TESTFUN::xiaoweiTextReq("我要听歌");
//    TESTFUN::xiaoweiGetRecentHistory();
//    TESTFUN::xiaoweiGetFavoriteList();

    while (1) usleep(10000);
  
    return 0;
}



