//
//  test_functions.h
//  Demo_Mac
//
//  Created by cppwang(王缘) on 2019/5/19.
//  Copyright © 2019 Tencent. All rights reserved.
//

#ifndef test_functions_h
#define test_functions_h

#include <iostream>
#include <stdio.h>
#include "deviceSDK.h"
#include <sys/stat.h>
#include <unistd.h>
#include "xiaoweiSDK.h"
#include <sys/time.h>
#include "voipSDK.h"
#include "string.h"

class TESTFUN {
public:
    static void login();
    static void getQRCode();
    static void getDeviceSDKVer();
    static void getBinder();
    static void setLogFunc();
    static void getUnverify();
    static void loginWithAllService();
    static void getDynamicQrCode();
    static void getPublicQrCode();
    static void getTicket();
    
    //xiaowei
    static void xiaoweiStart();
    static void xiaoweiReportPlayState();
    static void xiaoweiTextReq();
    static void xiaoweiTextReq(std::string text);
    static void xiaoweiVoicReq();
    static void xiaoweiGetMorePlayList();
    static void xiaoweiGetQQMusicVip();
    static void xiaoweiGetFavoriteList();
    static void xiaoweiSetFavorite(bool isFavorite);
    static void xiaoweiSetMusicQuality(int quality);
    static void xiaoweiGetMusicQuality();
    static void xiaoweiGetRecentHistory();
    
    //voip
    static void voipWechatStart();
    static void voipWechatStop();
};

#endif /* test_functions_h */
